// Code generated by protoc-gen-go-grpc. DO NOT EDIT.

package pb

import (
	context "context"
	grpc "google.golang.org/grpc"
	codes "google.golang.org/grpc/codes"
	status "google.golang.org/grpc/status"
)

// This is a compile-time assertion to ensure that this generated file
// is compatible with the grpc package it is being compiled against.
const _ = grpc.SupportPackageIsVersion7

// SessionManagerClient is the client API for SessionManager service.
//
// For semantics around ctx use and closing/ending streaming RPCs, please refer to https://pkg.go.dev/google.golang.org/grpc/?tab=doc#ClientConn.NewStream.
type SessionManagerClient interface {
	// Sends a greeting
	CreateOneSession(ctx context.Context, in *SessionConfig, opts ...grpc.CallOption) (*SessionConfig, error)
	DeleteOneSession(ctx context.Context, in *SessionConfig, opts ...grpc.CallOption) (*OpenIoTHubEmpty, error)
	GetOneSession(ctx context.Context, in *SessionConfig, opts ...grpc.CallOption) (*SessionConfig, error)
	GetAllSession(ctx context.Context, in *OpenIoTHubEmpty, opts ...grpc.CallOption) (*SessionList, error)
	// Socks5
	CreateOneSOCKS5(ctx context.Context, in *SOCKS5Config, opts ...grpc.CallOption) (*SOCKS5Config, error)
	DeleteOneSOCKS5(ctx context.Context, in *SOCKS5Config, opts ...grpc.CallOption) (*OpenIoTHubEmpty, error)
	GetOneSOCKS5(ctx context.Context, in *SOCKS5Config, opts ...grpc.CallOption) (*SOCKS5Config, error)
	//:TODO  获取所有的设备列表
	// mDNS刷新列表
	RefreshmDNSProxyList(ctx context.Context, in *SessionConfig, opts ...grpc.CallOption) (*OpenIoTHubEmpty, error)
	// 获取通过mDNS自动映射的TCP端口列表，然后可以查看页面
	GetAllTCP(ctx context.Context, in *SessionConfig, opts ...grpc.CallOption) (*PortList, error)
}

type sessionManagerClient struct {
	cc grpc.ClientConnInterface
}

func NewSessionManagerClient(cc grpc.ClientConnInterface) SessionManagerClient {
	return &sessionManagerClient{cc}
}

func (c *sessionManagerClient) CreateOneSession(ctx context.Context, in *SessionConfig, opts ...grpc.CallOption) (*SessionConfig, error) {
	out := new(SessionConfig)
	err := c.cc.Invoke(ctx, "/pb.SessionManager/CreateOneSession", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *sessionManagerClient) DeleteOneSession(ctx context.Context, in *SessionConfig, opts ...grpc.CallOption) (*OpenIoTHubEmpty, error) {
	out := new(OpenIoTHubEmpty)
	err := c.cc.Invoke(ctx, "/pb.SessionManager/DeleteOneSession", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *sessionManagerClient) GetOneSession(ctx context.Context, in *SessionConfig, opts ...grpc.CallOption) (*SessionConfig, error) {
	out := new(SessionConfig)
	err := c.cc.Invoke(ctx, "/pb.SessionManager/GetOneSession", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *sessionManagerClient) GetAllSession(ctx context.Context, in *OpenIoTHubEmpty, opts ...grpc.CallOption) (*SessionList, error) {
	out := new(SessionList)
	err := c.cc.Invoke(ctx, "/pb.SessionManager/GetAllSession", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *sessionManagerClient) CreateOneSOCKS5(ctx context.Context, in *SOCKS5Config, opts ...grpc.CallOption) (*SOCKS5Config, error) {
	out := new(SOCKS5Config)
	err := c.cc.Invoke(ctx, "/pb.SessionManager/CreateOneSOCKS5", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *sessionManagerClient) DeleteOneSOCKS5(ctx context.Context, in *SOCKS5Config, opts ...grpc.CallOption) (*OpenIoTHubEmpty, error) {
	out := new(OpenIoTHubEmpty)
	err := c.cc.Invoke(ctx, "/pb.SessionManager/DeleteOneSOCKS5", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *sessionManagerClient) GetOneSOCKS5(ctx context.Context, in *SOCKS5Config, opts ...grpc.CallOption) (*SOCKS5Config, error) {
	out := new(SOCKS5Config)
	err := c.cc.Invoke(ctx, "/pb.SessionManager/GetOneSOCKS5", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *sessionManagerClient) RefreshmDNSProxyList(ctx context.Context, in *SessionConfig, opts ...grpc.CallOption) (*OpenIoTHubEmpty, error) {
	out := new(OpenIoTHubEmpty)
	err := c.cc.Invoke(ctx, "/pb.SessionManager/RefreshmDNSProxyList", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *sessionManagerClient) GetAllTCP(ctx context.Context, in *SessionConfig, opts ...grpc.CallOption) (*PortList, error) {
	out := new(PortList)
	err := c.cc.Invoke(ctx, "/pb.SessionManager/GetAllTCP", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

// SessionManagerServer is the server API for SessionManager service.
// All implementations must embed UnimplementedSessionManagerServer
// for forward compatibility
type SessionManagerServer interface {
	// Sends a greeting
	CreateOneSession(context.Context, *SessionConfig) (*SessionConfig, error)
	DeleteOneSession(context.Context, *SessionConfig) (*OpenIoTHubEmpty, error)
	GetOneSession(context.Context, *SessionConfig) (*SessionConfig, error)
	GetAllSession(context.Context, *OpenIoTHubEmpty) (*SessionList, error)
	// Socks5
	CreateOneSOCKS5(context.Context, *SOCKS5Config) (*SOCKS5Config, error)
	DeleteOneSOCKS5(context.Context, *SOCKS5Config) (*OpenIoTHubEmpty, error)
	GetOneSOCKS5(context.Context, *SOCKS5Config) (*SOCKS5Config, error)
	//:TODO  获取所有的设备列表
	// mDNS刷新列表
	RefreshmDNSProxyList(context.Context, *SessionConfig) (*OpenIoTHubEmpty, error)
	// 获取通过mDNS自动映射的TCP端口列表，然后可以查看页面
	GetAllTCP(context.Context, *SessionConfig) (*PortList, error)
	mustEmbedUnimplementedSessionManagerServer()
}

// UnimplementedSessionManagerServer must be embedded to have forward compatible implementations.
type UnimplementedSessionManagerServer struct {
}

func (UnimplementedSessionManagerServer) CreateOneSession(context.Context, *SessionConfig) (*SessionConfig, error) {
	return nil, status.Errorf(codes.Unimplemented, "method CreateOneSession not implemented")
}
func (UnimplementedSessionManagerServer) DeleteOneSession(context.Context, *SessionConfig) (*OpenIoTHubEmpty, error) {
	return nil, status.Errorf(codes.Unimplemented, "method DeleteOneSession not implemented")
}
func (UnimplementedSessionManagerServer) GetOneSession(context.Context, *SessionConfig) (*SessionConfig, error) {
	return nil, status.Errorf(codes.Unimplemented, "method GetOneSession not implemented")
}
func (UnimplementedSessionManagerServer) GetAllSession(context.Context, *OpenIoTHubEmpty) (*SessionList, error) {
	return nil, status.Errorf(codes.Unimplemented, "method GetAllSession not implemented")
}
func (UnimplementedSessionManagerServer) CreateOneSOCKS5(context.Context, *SOCKS5Config) (*SOCKS5Config, error) {
	return nil, status.Errorf(codes.Unimplemented, "method CreateOneSOCKS5 not implemented")
}
func (UnimplementedSessionManagerServer) DeleteOneSOCKS5(context.Context, *SOCKS5Config) (*OpenIoTHubEmpty, error) {
	return nil, status.Errorf(codes.Unimplemented, "method DeleteOneSOCKS5 not implemented")
}
func (UnimplementedSessionManagerServer) GetOneSOCKS5(context.Context, *SOCKS5Config) (*SOCKS5Config, error) {
	return nil, status.Errorf(codes.Unimplemented, "method GetOneSOCKS5 not implemented")
}
func (UnimplementedSessionManagerServer) RefreshmDNSProxyList(context.Context, *SessionConfig) (*OpenIoTHubEmpty, error) {
	return nil, status.Errorf(codes.Unimplemented, "method RefreshmDNSProxyList not implemented")
}
func (UnimplementedSessionManagerServer) GetAllTCP(context.Context, *SessionConfig) (*PortList, error) {
	return nil, status.Errorf(codes.Unimplemented, "method GetAllTCP not implemented")
}
func (UnimplementedSessionManagerServer) mustEmbedUnimplementedSessionManagerServer() {}

// UnsafeSessionManagerServer may be embedded to opt out of forward compatibility for this service.
// Use of this interface is not recommended, as added methods to SessionManagerServer will
// result in compilation errors.
type UnsafeSessionManagerServer interface {
	mustEmbedUnimplementedSessionManagerServer()
}

func RegisterSessionManagerServer(s grpc.ServiceRegistrar, srv SessionManagerServer) {
	s.RegisterService(&_SessionManager_serviceDesc, srv)
}

func _SessionManager_CreateOneSession_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(SessionConfig)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(SessionManagerServer).CreateOneSession(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/pb.SessionManager/CreateOneSession",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(SessionManagerServer).CreateOneSession(ctx, req.(*SessionConfig))
	}
	return interceptor(ctx, in, info, handler)
}

func _SessionManager_DeleteOneSession_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(SessionConfig)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(SessionManagerServer).DeleteOneSession(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/pb.SessionManager/DeleteOneSession",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(SessionManagerServer).DeleteOneSession(ctx, req.(*SessionConfig))
	}
	return interceptor(ctx, in, info, handler)
}

func _SessionManager_GetOneSession_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(SessionConfig)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(SessionManagerServer).GetOneSession(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/pb.SessionManager/GetOneSession",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(SessionManagerServer).GetOneSession(ctx, req.(*SessionConfig))
	}
	return interceptor(ctx, in, info, handler)
}

func _SessionManager_GetAllSession_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(OpenIoTHubEmpty)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(SessionManagerServer).GetAllSession(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/pb.SessionManager/GetAllSession",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(SessionManagerServer).GetAllSession(ctx, req.(*OpenIoTHubEmpty))
	}
	return interceptor(ctx, in, info, handler)
}

func _SessionManager_CreateOneSOCKS5_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(SOCKS5Config)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(SessionManagerServer).CreateOneSOCKS5(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/pb.SessionManager/CreateOneSOCKS5",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(SessionManagerServer).CreateOneSOCKS5(ctx, req.(*SOCKS5Config))
	}
	return interceptor(ctx, in, info, handler)
}

func _SessionManager_DeleteOneSOCKS5_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(SOCKS5Config)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(SessionManagerServer).DeleteOneSOCKS5(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/pb.SessionManager/DeleteOneSOCKS5",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(SessionManagerServer).DeleteOneSOCKS5(ctx, req.(*SOCKS5Config))
	}
	return interceptor(ctx, in, info, handler)
}

func _SessionManager_GetOneSOCKS5_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(SOCKS5Config)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(SessionManagerServer).GetOneSOCKS5(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/pb.SessionManager/GetOneSOCKS5",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(SessionManagerServer).GetOneSOCKS5(ctx, req.(*SOCKS5Config))
	}
	return interceptor(ctx, in, info, handler)
}

func _SessionManager_RefreshmDNSProxyList_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(SessionConfig)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(SessionManagerServer).RefreshmDNSProxyList(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/pb.SessionManager/RefreshmDNSProxyList",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(SessionManagerServer).RefreshmDNSProxyList(ctx, req.(*SessionConfig))
	}
	return interceptor(ctx, in, info, handler)
}

func _SessionManager_GetAllTCP_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(SessionConfig)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(SessionManagerServer).GetAllTCP(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/pb.SessionManager/GetAllTCP",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(SessionManagerServer).GetAllTCP(ctx, req.(*SessionConfig))
	}
	return interceptor(ctx, in, info, handler)
}

var _SessionManager_serviceDesc = grpc.ServiceDesc{
	ServiceName: "pb.SessionManager",
	HandlerType: (*SessionManagerServer)(nil),
	Methods: []grpc.MethodDesc{
		{
			MethodName: "CreateOneSession",
			Handler:    _SessionManager_CreateOneSession_Handler,
		},
		{
			MethodName: "DeleteOneSession",
			Handler:    _SessionManager_DeleteOneSession_Handler,
		},
		{
			MethodName: "GetOneSession",
			Handler:    _SessionManager_GetOneSession_Handler,
		},
		{
			MethodName: "GetAllSession",
			Handler:    _SessionManager_GetAllSession_Handler,
		},
		{
			MethodName: "CreateOneSOCKS5",
			Handler:    _SessionManager_CreateOneSOCKS5_Handler,
		},
		{
			MethodName: "DeleteOneSOCKS5",
			Handler:    _SessionManager_DeleteOneSOCKS5_Handler,
		},
		{
			MethodName: "GetOneSOCKS5",
			Handler:    _SessionManager_GetOneSOCKS5_Handler,
		},
		{
			MethodName: "RefreshmDNSProxyList",
			Handler:    _SessionManager_RefreshmDNSProxyList_Handler,
		},
		{
			MethodName: "GetAllTCP",
			Handler:    _SessionManager_GetAllTCP_Handler,
		},
	},
	Streams:  []grpc.StreamDesc{},
	Metadata: "service.proto",
}

// CommonDeviceManagerClient is the client API for CommonDeviceManager service.
//
// For semantics around ctx use and closing/ending streaming RPCs, please refer to https://pkg.go.dev/google.golang.org/grpc/?tab=doc#ClientConn.NewStream.
type CommonDeviceManagerClient interface {
	//设备的操作:增删
	AddDevice(ctx context.Context, in *Device, opts ...grpc.CallOption) (*OpenIoTHubEmpty, error)
	DelDevice(ctx context.Context, in *Device, opts ...grpc.CallOption) (*OpenIoTHubEmpty, error)
	GetAllDevice(ctx context.Context, in *OpenIoTHubEmpty, opts ...grpc.CallOption) (*DeviceList, error)
	//网络唤醒
	SetDeviceMac(ctx context.Context, in *Device, opts ...grpc.CallOption) (*OpenIoTHubEmpty, error)
	WakeOnLAN(ctx context.Context, in *Device, opts ...grpc.CallOption) (*OpenIoTHubEmpty, error)
	// TCP
	CreateOneTCP(ctx context.Context, in *PortConfig, opts ...grpc.CallOption) (*PortConfig, error)
	DeleteOneTCP(ctx context.Context, in *PortConfig, opts ...grpc.CallOption) (*OpenIoTHubEmpty, error)
	GetOneTCP(ctx context.Context, in *PortConfig, opts ...grpc.CallOption) (*PortConfig, error)
	GetAllTCP(ctx context.Context, in *Device, opts ...grpc.CallOption) (*PortList, error)
	// UDP
	CreateOneUDP(ctx context.Context, in *PortConfig, opts ...grpc.CallOption) (*PortConfig, error)
	DeleteOneUDP(ctx context.Context, in *PortConfig, opts ...grpc.CallOption) (*OpenIoTHubEmpty, error)
	GetOneUDP(ctx context.Context, in *PortConfig, opts ...grpc.CallOption) (*PortConfig, error)
	GetAllUDP(ctx context.Context, in *Device, opts ...grpc.CallOption) (*PortList, error)
	// FTP
	CreateOneFTP(ctx context.Context, in *PortConfig, opts ...grpc.CallOption) (*PortConfig, error)
	DeleteOneFTP(ctx context.Context, in *PortConfig, opts ...grpc.CallOption) (*OpenIoTHubEmpty, error)
	GetOneFTP(ctx context.Context, in *PortConfig, opts ...grpc.CallOption) (*PortConfig, error)
	GetAllFTP(ctx context.Context, in *Device, opts ...grpc.CallOption) (*PortList, error)
}

type commonDeviceManagerClient struct {
	cc grpc.ClientConnInterface
}

func NewCommonDeviceManagerClient(cc grpc.ClientConnInterface) CommonDeviceManagerClient {
	return &commonDeviceManagerClient{cc}
}

func (c *commonDeviceManagerClient) AddDevice(ctx context.Context, in *Device, opts ...grpc.CallOption) (*OpenIoTHubEmpty, error) {
	out := new(OpenIoTHubEmpty)
	err := c.cc.Invoke(ctx, "/pb.CommonDeviceManager/AddDevice", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *commonDeviceManagerClient) DelDevice(ctx context.Context, in *Device, opts ...grpc.CallOption) (*OpenIoTHubEmpty, error) {
	out := new(OpenIoTHubEmpty)
	err := c.cc.Invoke(ctx, "/pb.CommonDeviceManager/DelDevice", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *commonDeviceManagerClient) GetAllDevice(ctx context.Context, in *OpenIoTHubEmpty, opts ...grpc.CallOption) (*DeviceList, error) {
	out := new(DeviceList)
	err := c.cc.Invoke(ctx, "/pb.CommonDeviceManager/GetAllDevice", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *commonDeviceManagerClient) SetDeviceMac(ctx context.Context, in *Device, opts ...grpc.CallOption) (*OpenIoTHubEmpty, error) {
	out := new(OpenIoTHubEmpty)
	err := c.cc.Invoke(ctx, "/pb.CommonDeviceManager/SetDeviceMac", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *commonDeviceManagerClient) WakeOnLAN(ctx context.Context, in *Device, opts ...grpc.CallOption) (*OpenIoTHubEmpty, error) {
	out := new(OpenIoTHubEmpty)
	err := c.cc.Invoke(ctx, "/pb.CommonDeviceManager/WakeOnLAN", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *commonDeviceManagerClient) CreateOneTCP(ctx context.Context, in *PortConfig, opts ...grpc.CallOption) (*PortConfig, error) {
	out := new(PortConfig)
	err := c.cc.Invoke(ctx, "/pb.CommonDeviceManager/CreateOneTCP", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *commonDeviceManagerClient) DeleteOneTCP(ctx context.Context, in *PortConfig, opts ...grpc.CallOption) (*OpenIoTHubEmpty, error) {
	out := new(OpenIoTHubEmpty)
	err := c.cc.Invoke(ctx, "/pb.CommonDeviceManager/DeleteOneTCP", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *commonDeviceManagerClient) GetOneTCP(ctx context.Context, in *PortConfig, opts ...grpc.CallOption) (*PortConfig, error) {
	out := new(PortConfig)
	err := c.cc.Invoke(ctx, "/pb.CommonDeviceManager/GetOneTCP", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *commonDeviceManagerClient) GetAllTCP(ctx context.Context, in *Device, opts ...grpc.CallOption) (*PortList, error) {
	out := new(PortList)
	err := c.cc.Invoke(ctx, "/pb.CommonDeviceManager/GetAllTCP", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *commonDeviceManagerClient) CreateOneUDP(ctx context.Context, in *PortConfig, opts ...grpc.CallOption) (*PortConfig, error) {
	out := new(PortConfig)
	err := c.cc.Invoke(ctx, "/pb.CommonDeviceManager/CreateOneUDP", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *commonDeviceManagerClient) DeleteOneUDP(ctx context.Context, in *PortConfig, opts ...grpc.CallOption) (*OpenIoTHubEmpty, error) {
	out := new(OpenIoTHubEmpty)
	err := c.cc.Invoke(ctx, "/pb.CommonDeviceManager/DeleteOneUDP", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *commonDeviceManagerClient) GetOneUDP(ctx context.Context, in *PortConfig, opts ...grpc.CallOption) (*PortConfig, error) {
	out := new(PortConfig)
	err := c.cc.Invoke(ctx, "/pb.CommonDeviceManager/GetOneUDP", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *commonDeviceManagerClient) GetAllUDP(ctx context.Context, in *Device, opts ...grpc.CallOption) (*PortList, error) {
	out := new(PortList)
	err := c.cc.Invoke(ctx, "/pb.CommonDeviceManager/GetAllUDP", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *commonDeviceManagerClient) CreateOneFTP(ctx context.Context, in *PortConfig, opts ...grpc.CallOption) (*PortConfig, error) {
	out := new(PortConfig)
	err := c.cc.Invoke(ctx, "/pb.CommonDeviceManager/CreateOneFTP", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *commonDeviceManagerClient) DeleteOneFTP(ctx context.Context, in *PortConfig, opts ...grpc.CallOption) (*OpenIoTHubEmpty, error) {
	out := new(OpenIoTHubEmpty)
	err := c.cc.Invoke(ctx, "/pb.CommonDeviceManager/DeleteOneFTP", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *commonDeviceManagerClient) GetOneFTP(ctx context.Context, in *PortConfig, opts ...grpc.CallOption) (*PortConfig, error) {
	out := new(PortConfig)
	err := c.cc.Invoke(ctx, "/pb.CommonDeviceManager/GetOneFTP", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *commonDeviceManagerClient) GetAllFTP(ctx context.Context, in *Device, opts ...grpc.CallOption) (*PortList, error) {
	out := new(PortList)
	err := c.cc.Invoke(ctx, "/pb.CommonDeviceManager/GetAllFTP", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

// CommonDeviceManagerServer is the server API for CommonDeviceManager service.
// All implementations must embed UnimplementedCommonDeviceManagerServer
// for forward compatibility
type CommonDeviceManagerServer interface {
	//设备的操作:增删
	AddDevice(context.Context, *Device) (*OpenIoTHubEmpty, error)
	DelDevice(context.Context, *Device) (*OpenIoTHubEmpty, error)
	GetAllDevice(context.Context, *OpenIoTHubEmpty) (*DeviceList, error)
	//网络唤醒
	SetDeviceMac(context.Context, *Device) (*OpenIoTHubEmpty, error)
	WakeOnLAN(context.Context, *Device) (*OpenIoTHubEmpty, error)
	// TCP
	CreateOneTCP(context.Context, *PortConfig) (*PortConfig, error)
	DeleteOneTCP(context.Context, *PortConfig) (*OpenIoTHubEmpty, error)
	GetOneTCP(context.Context, *PortConfig) (*PortConfig, error)
	GetAllTCP(context.Context, *Device) (*PortList, error)
	// UDP
	CreateOneUDP(context.Context, *PortConfig) (*PortConfig, error)
	DeleteOneUDP(context.Context, *PortConfig) (*OpenIoTHubEmpty, error)
	GetOneUDP(context.Context, *PortConfig) (*PortConfig, error)
	GetAllUDP(context.Context, *Device) (*PortList, error)
	// FTP
	CreateOneFTP(context.Context, *PortConfig) (*PortConfig, error)
	DeleteOneFTP(context.Context, *PortConfig) (*OpenIoTHubEmpty, error)
	GetOneFTP(context.Context, *PortConfig) (*PortConfig, error)
	GetAllFTP(context.Context, *Device) (*PortList, error)
	mustEmbedUnimplementedCommonDeviceManagerServer()
}

// UnimplementedCommonDeviceManagerServer must be embedded to have forward compatible implementations.
type UnimplementedCommonDeviceManagerServer struct {
}

func (UnimplementedCommonDeviceManagerServer) AddDevice(context.Context, *Device) (*OpenIoTHubEmpty, error) {
	return nil, status.Errorf(codes.Unimplemented, "method AddDevice not implemented")
}
func (UnimplementedCommonDeviceManagerServer) DelDevice(context.Context, *Device) (*OpenIoTHubEmpty, error) {
	return nil, status.Errorf(codes.Unimplemented, "method DelDevice not implemented")
}
func (UnimplementedCommonDeviceManagerServer) GetAllDevice(context.Context, *OpenIoTHubEmpty) (*DeviceList, error) {
	return nil, status.Errorf(codes.Unimplemented, "method GetAllDevice not implemented")
}
func (UnimplementedCommonDeviceManagerServer) SetDeviceMac(context.Context, *Device) (*OpenIoTHubEmpty, error) {
	return nil, status.Errorf(codes.Unimplemented, "method SetDeviceMac not implemented")
}
func (UnimplementedCommonDeviceManagerServer) WakeOnLAN(context.Context, *Device) (*OpenIoTHubEmpty, error) {
	return nil, status.Errorf(codes.Unimplemented, "method WakeOnLAN not implemented")
}
func (UnimplementedCommonDeviceManagerServer) CreateOneTCP(context.Context, *PortConfig) (*PortConfig, error) {
	return nil, status.Errorf(codes.Unimplemented, "method CreateOneTCP not implemented")
}
func (UnimplementedCommonDeviceManagerServer) DeleteOneTCP(context.Context, *PortConfig) (*OpenIoTHubEmpty, error) {
	return nil, status.Errorf(codes.Unimplemented, "method DeleteOneTCP not implemented")
}
func (UnimplementedCommonDeviceManagerServer) GetOneTCP(context.Context, *PortConfig) (*PortConfig, error) {
	return nil, status.Errorf(codes.Unimplemented, "method GetOneTCP not implemented")
}
func (UnimplementedCommonDeviceManagerServer) GetAllTCP(context.Context, *Device) (*PortList, error) {
	return nil, status.Errorf(codes.Unimplemented, "method GetAllTCP not implemented")
}
func (UnimplementedCommonDeviceManagerServer) CreateOneUDP(context.Context, *PortConfig) (*PortConfig, error) {
	return nil, status.Errorf(codes.Unimplemented, "method CreateOneUDP not implemented")
}
func (UnimplementedCommonDeviceManagerServer) DeleteOneUDP(context.Context, *PortConfig) (*OpenIoTHubEmpty, error) {
	return nil, status.Errorf(codes.Unimplemented, "method DeleteOneUDP not implemented")
}
func (UnimplementedCommonDeviceManagerServer) GetOneUDP(context.Context, *PortConfig) (*PortConfig, error) {
	return nil, status.Errorf(codes.Unimplemented, "method GetOneUDP not implemented")
}
func (UnimplementedCommonDeviceManagerServer) GetAllUDP(context.Context, *Device) (*PortList, error) {
	return nil, status.Errorf(codes.Unimplemented, "method GetAllUDP not implemented")
}
func (UnimplementedCommonDeviceManagerServer) CreateOneFTP(context.Context, *PortConfig) (*PortConfig, error) {
	return nil, status.Errorf(codes.Unimplemented, "method CreateOneFTP not implemented")
}
func (UnimplementedCommonDeviceManagerServer) DeleteOneFTP(context.Context, *PortConfig) (*OpenIoTHubEmpty, error) {
	return nil, status.Errorf(codes.Unimplemented, "method DeleteOneFTP not implemented")
}
func (UnimplementedCommonDeviceManagerServer) GetOneFTP(context.Context, *PortConfig) (*PortConfig, error) {
	return nil, status.Errorf(codes.Unimplemented, "method GetOneFTP not implemented")
}
func (UnimplementedCommonDeviceManagerServer) GetAllFTP(context.Context, *Device) (*PortList, error) {
	return nil, status.Errorf(codes.Unimplemented, "method GetAllFTP not implemented")
}
func (UnimplementedCommonDeviceManagerServer) mustEmbedUnimplementedCommonDeviceManagerServer() {}

// UnsafeCommonDeviceManagerServer may be embedded to opt out of forward compatibility for this service.
// Use of this interface is not recommended, as added methods to CommonDeviceManagerServer will
// result in compilation errors.
type UnsafeCommonDeviceManagerServer interface {
	mustEmbedUnimplementedCommonDeviceManagerServer()
}

func RegisterCommonDeviceManagerServer(s grpc.ServiceRegistrar, srv CommonDeviceManagerServer) {
	s.RegisterService(&_CommonDeviceManager_serviceDesc, srv)
}

func _CommonDeviceManager_AddDevice_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(Device)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(CommonDeviceManagerServer).AddDevice(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/pb.CommonDeviceManager/AddDevice",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(CommonDeviceManagerServer).AddDevice(ctx, req.(*Device))
	}
	return interceptor(ctx, in, info, handler)
}

func _CommonDeviceManager_DelDevice_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(Device)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(CommonDeviceManagerServer).DelDevice(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/pb.CommonDeviceManager/DelDevice",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(CommonDeviceManagerServer).DelDevice(ctx, req.(*Device))
	}
	return interceptor(ctx, in, info, handler)
}

func _CommonDeviceManager_GetAllDevice_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(OpenIoTHubEmpty)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(CommonDeviceManagerServer).GetAllDevice(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/pb.CommonDeviceManager/GetAllDevice",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(CommonDeviceManagerServer).GetAllDevice(ctx, req.(*OpenIoTHubEmpty))
	}
	return interceptor(ctx, in, info, handler)
}

func _CommonDeviceManager_SetDeviceMac_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(Device)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(CommonDeviceManagerServer).SetDeviceMac(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/pb.CommonDeviceManager/SetDeviceMac",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(CommonDeviceManagerServer).SetDeviceMac(ctx, req.(*Device))
	}
	return interceptor(ctx, in, info, handler)
}

func _CommonDeviceManager_WakeOnLAN_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(Device)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(CommonDeviceManagerServer).WakeOnLAN(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/pb.CommonDeviceManager/WakeOnLAN",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(CommonDeviceManagerServer).WakeOnLAN(ctx, req.(*Device))
	}
	return interceptor(ctx, in, info, handler)
}

func _CommonDeviceManager_CreateOneTCP_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(PortConfig)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(CommonDeviceManagerServer).CreateOneTCP(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/pb.CommonDeviceManager/CreateOneTCP",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(CommonDeviceManagerServer).CreateOneTCP(ctx, req.(*PortConfig))
	}
	return interceptor(ctx, in, info, handler)
}

func _CommonDeviceManager_DeleteOneTCP_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(PortConfig)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(CommonDeviceManagerServer).DeleteOneTCP(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/pb.CommonDeviceManager/DeleteOneTCP",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(CommonDeviceManagerServer).DeleteOneTCP(ctx, req.(*PortConfig))
	}
	return interceptor(ctx, in, info, handler)
}

func _CommonDeviceManager_GetOneTCP_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(PortConfig)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(CommonDeviceManagerServer).GetOneTCP(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/pb.CommonDeviceManager/GetOneTCP",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(CommonDeviceManagerServer).GetOneTCP(ctx, req.(*PortConfig))
	}
	return interceptor(ctx, in, info, handler)
}

func _CommonDeviceManager_GetAllTCP_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(Device)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(CommonDeviceManagerServer).GetAllTCP(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/pb.CommonDeviceManager/GetAllTCP",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(CommonDeviceManagerServer).GetAllTCP(ctx, req.(*Device))
	}
	return interceptor(ctx, in, info, handler)
}

func _CommonDeviceManager_CreateOneUDP_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(PortConfig)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(CommonDeviceManagerServer).CreateOneUDP(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/pb.CommonDeviceManager/CreateOneUDP",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(CommonDeviceManagerServer).CreateOneUDP(ctx, req.(*PortConfig))
	}
	return interceptor(ctx, in, info, handler)
}

func _CommonDeviceManager_DeleteOneUDP_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(PortConfig)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(CommonDeviceManagerServer).DeleteOneUDP(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/pb.CommonDeviceManager/DeleteOneUDP",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(CommonDeviceManagerServer).DeleteOneUDP(ctx, req.(*PortConfig))
	}
	return interceptor(ctx, in, info, handler)
}

func _CommonDeviceManager_GetOneUDP_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(PortConfig)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(CommonDeviceManagerServer).GetOneUDP(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/pb.CommonDeviceManager/GetOneUDP",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(CommonDeviceManagerServer).GetOneUDP(ctx, req.(*PortConfig))
	}
	return interceptor(ctx, in, info, handler)
}

func _CommonDeviceManager_GetAllUDP_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(Device)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(CommonDeviceManagerServer).GetAllUDP(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/pb.CommonDeviceManager/GetAllUDP",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(CommonDeviceManagerServer).GetAllUDP(ctx, req.(*Device))
	}
	return interceptor(ctx, in, info, handler)
}

func _CommonDeviceManager_CreateOneFTP_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(PortConfig)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(CommonDeviceManagerServer).CreateOneFTP(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/pb.CommonDeviceManager/CreateOneFTP",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(CommonDeviceManagerServer).CreateOneFTP(ctx, req.(*PortConfig))
	}
	return interceptor(ctx, in, info, handler)
}

func _CommonDeviceManager_DeleteOneFTP_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(PortConfig)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(CommonDeviceManagerServer).DeleteOneFTP(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/pb.CommonDeviceManager/DeleteOneFTP",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(CommonDeviceManagerServer).DeleteOneFTP(ctx, req.(*PortConfig))
	}
	return interceptor(ctx, in, info, handler)
}

func _CommonDeviceManager_GetOneFTP_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(PortConfig)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(CommonDeviceManagerServer).GetOneFTP(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/pb.CommonDeviceManager/GetOneFTP",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(CommonDeviceManagerServer).GetOneFTP(ctx, req.(*PortConfig))
	}
	return interceptor(ctx, in, info, handler)
}

func _CommonDeviceManager_GetAllFTP_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(Device)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(CommonDeviceManagerServer).GetAllFTP(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/pb.CommonDeviceManager/GetAllFTP",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(CommonDeviceManagerServer).GetAllFTP(ctx, req.(*Device))
	}
	return interceptor(ctx, in, info, handler)
}

var _CommonDeviceManager_serviceDesc = grpc.ServiceDesc{
	ServiceName: "pb.CommonDeviceManager",
	HandlerType: (*CommonDeviceManagerServer)(nil),
	Methods: []grpc.MethodDesc{
		{
			MethodName: "AddDevice",
			Handler:    _CommonDeviceManager_AddDevice_Handler,
		},
		{
			MethodName: "DelDevice",
			Handler:    _CommonDeviceManager_DelDevice_Handler,
		},
		{
			MethodName: "GetAllDevice",
			Handler:    _CommonDeviceManager_GetAllDevice_Handler,
		},
		{
			MethodName: "SetDeviceMac",
			Handler:    _CommonDeviceManager_SetDeviceMac_Handler,
		},
		{
			MethodName: "WakeOnLAN",
			Handler:    _CommonDeviceManager_WakeOnLAN_Handler,
		},
		{
			MethodName: "CreateOneTCP",
			Handler:    _CommonDeviceManager_CreateOneTCP_Handler,
		},
		{
			MethodName: "DeleteOneTCP",
			Handler:    _CommonDeviceManager_DeleteOneTCP_Handler,
		},
		{
			MethodName: "GetOneTCP",
			Handler:    _CommonDeviceManager_GetOneTCP_Handler,
		},
		{
			MethodName: "GetAllTCP",
			Handler:    _CommonDeviceManager_GetAllTCP_Handler,
		},
		{
			MethodName: "CreateOneUDP",
			Handler:    _CommonDeviceManager_CreateOneUDP_Handler,
		},
		{
			MethodName: "DeleteOneUDP",
			Handler:    _CommonDeviceManager_DeleteOneUDP_Handler,
		},
		{
			MethodName: "GetOneUDP",
			Handler:    _CommonDeviceManager_GetOneUDP_Handler,
		},
		{
			MethodName: "GetAllUDP",
			Handler:    _CommonDeviceManager_GetAllUDP_Handler,
		},
		{
			MethodName: "CreateOneFTP",
			Handler:    _CommonDeviceManager_CreateOneFTP_Handler,
		},
		{
			MethodName: "DeleteOneFTP",
			Handler:    _CommonDeviceManager_DeleteOneFTP_Handler,
		},
		{
			MethodName: "GetOneFTP",
			Handler:    _CommonDeviceManager_GetOneFTP_Handler,
		},
		{
			MethodName: "GetAllFTP",
			Handler:    _CommonDeviceManager_GetAllFTP_Handler,
		},
	},
	Streams:  []grpc.StreamDesc{},
	Metadata: "service.proto",
}

// UtilsClient is the client API for Utils service.
//
// For semantics around ctx use and closing/ending streaming RPCs, please refer to https://pkg.go.dev/google.golang.org/grpc/?tab=doc#ClientConn.NewStream.
type UtilsClient interface {
	//    让后台服务登录服务器并同步配置
	SyncConfigWithToken(ctx context.Context, in *IoTManagerServerAndToken, opts ...grpc.CallOption) (*OpenIoTHubOperationResponse, error)
	GetAllConfig(ctx context.Context, in *OpenIoTHubEmpty, opts ...grpc.CallOption) (*OpenIoTHubStringValue, error)
	LoadAllConfig(ctx context.Context, in *OpenIoTHubStringValue, opts ...grpc.CallOption) (*OpenIoTHubEmpty, error)
	GetAllmDNSServiceList(ctx context.Context, in *OpenIoTHubEmpty, opts ...grpc.CallOption) (*MDNSServiceList, error)
	GetmDNSServiceListByType(ctx context.Context, in *OpenIoTHubStringValue, opts ...grpc.CallOption) (*MDNSServiceList, error)
	ConvertOctonaryUtf8(ctx context.Context, in *OpenIoTHubStringValue, opts ...grpc.CallOption) (*OpenIoTHubStringValue, error)
	GetTokenModel(ctx context.Context, in *OpenIoTHubStringValue, opts ...grpc.CallOption) (*TokenModel, error)
}

type utilsClient struct {
	cc grpc.ClientConnInterface
}

func NewUtilsClient(cc grpc.ClientConnInterface) UtilsClient {
	return &utilsClient{cc}
}

func (c *utilsClient) SyncConfigWithToken(ctx context.Context, in *IoTManagerServerAndToken, opts ...grpc.CallOption) (*OpenIoTHubOperationResponse, error) {
	out := new(OpenIoTHubOperationResponse)
	err := c.cc.Invoke(ctx, "/pb.Utils/SyncConfigWithToken", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *utilsClient) GetAllConfig(ctx context.Context, in *OpenIoTHubEmpty, opts ...grpc.CallOption) (*OpenIoTHubStringValue, error) {
	out := new(OpenIoTHubStringValue)
	err := c.cc.Invoke(ctx, "/pb.Utils/GetAllConfig", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *utilsClient) LoadAllConfig(ctx context.Context, in *OpenIoTHubStringValue, opts ...grpc.CallOption) (*OpenIoTHubEmpty, error) {
	out := new(OpenIoTHubEmpty)
	err := c.cc.Invoke(ctx, "/pb.Utils/LoadAllConfig", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *utilsClient) GetAllmDNSServiceList(ctx context.Context, in *OpenIoTHubEmpty, opts ...grpc.CallOption) (*MDNSServiceList, error) {
	out := new(MDNSServiceList)
	err := c.cc.Invoke(ctx, "/pb.Utils/GetAllmDNSServiceList", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *utilsClient) GetmDNSServiceListByType(ctx context.Context, in *OpenIoTHubStringValue, opts ...grpc.CallOption) (*MDNSServiceList, error) {
	out := new(MDNSServiceList)
	err := c.cc.Invoke(ctx, "/pb.Utils/GetmDNSServiceListByType", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *utilsClient) ConvertOctonaryUtf8(ctx context.Context, in *OpenIoTHubStringValue, opts ...grpc.CallOption) (*OpenIoTHubStringValue, error) {
	out := new(OpenIoTHubStringValue)
	err := c.cc.Invoke(ctx, "/pb.Utils/ConvertOctonaryUtf8", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *utilsClient) GetTokenModel(ctx context.Context, in *OpenIoTHubStringValue, opts ...grpc.CallOption) (*TokenModel, error) {
	out := new(TokenModel)
	err := c.cc.Invoke(ctx, "/pb.Utils/GetTokenModel", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

// UtilsServer is the server API for Utils service.
// All implementations must embed UnimplementedUtilsServer
// for forward compatibility
type UtilsServer interface {
	//    让后台服务登录服务器并同步配置
	SyncConfigWithToken(context.Context, *IoTManagerServerAndToken) (*OpenIoTHubOperationResponse, error)
	GetAllConfig(context.Context, *OpenIoTHubEmpty) (*OpenIoTHubStringValue, error)
	LoadAllConfig(context.Context, *OpenIoTHubStringValue) (*OpenIoTHubEmpty, error)
	GetAllmDNSServiceList(context.Context, *OpenIoTHubEmpty) (*MDNSServiceList, error)
	GetmDNSServiceListByType(context.Context, *OpenIoTHubStringValue) (*MDNSServiceList, error)
	ConvertOctonaryUtf8(context.Context, *OpenIoTHubStringValue) (*OpenIoTHubStringValue, error)
	GetTokenModel(context.Context, *OpenIoTHubStringValue) (*TokenModel, error)
	mustEmbedUnimplementedUtilsServer()
}

// UnimplementedUtilsServer must be embedded to have forward compatible implementations.
type UnimplementedUtilsServer struct {
}

func (UnimplementedUtilsServer) SyncConfigWithToken(context.Context, *IoTManagerServerAndToken) (*OpenIoTHubOperationResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method SyncConfigWithToken not implemented")
}
func (UnimplementedUtilsServer) GetAllConfig(context.Context, *OpenIoTHubEmpty) (*OpenIoTHubStringValue, error) {
	return nil, status.Errorf(codes.Unimplemented, "method GetAllConfig not implemented")
}
func (UnimplementedUtilsServer) LoadAllConfig(context.Context, *OpenIoTHubStringValue) (*OpenIoTHubEmpty, error) {
	return nil, status.Errorf(codes.Unimplemented, "method LoadAllConfig not implemented")
}
func (UnimplementedUtilsServer) GetAllmDNSServiceList(context.Context, *OpenIoTHubEmpty) (*MDNSServiceList, error) {
	return nil, status.Errorf(codes.Unimplemented, "method GetAllmDNSServiceList not implemented")
}
func (UnimplementedUtilsServer) GetmDNSServiceListByType(context.Context, *OpenIoTHubStringValue) (*MDNSServiceList, error) {
	return nil, status.Errorf(codes.Unimplemented, "method GetmDNSServiceListByType not implemented")
}
func (UnimplementedUtilsServer) ConvertOctonaryUtf8(context.Context, *OpenIoTHubStringValue) (*OpenIoTHubStringValue, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ConvertOctonaryUtf8 not implemented")
}
func (UnimplementedUtilsServer) GetTokenModel(context.Context, *OpenIoTHubStringValue) (*TokenModel, error) {
	return nil, status.Errorf(codes.Unimplemented, "method GetTokenModel not implemented")
}
func (UnimplementedUtilsServer) mustEmbedUnimplementedUtilsServer() {}

// UnsafeUtilsServer may be embedded to opt out of forward compatibility for this service.
// Use of this interface is not recommended, as added methods to UtilsServer will
// result in compilation errors.
type UnsafeUtilsServer interface {
	mustEmbedUnimplementedUtilsServer()
}

func RegisterUtilsServer(s grpc.ServiceRegistrar, srv UtilsServer) {
	s.RegisterService(&_Utils_serviceDesc, srv)
}

func _Utils_SyncConfigWithToken_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(IoTManagerServerAndToken)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(UtilsServer).SyncConfigWithToken(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/pb.Utils/SyncConfigWithToken",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(UtilsServer).SyncConfigWithToken(ctx, req.(*IoTManagerServerAndToken))
	}
	return interceptor(ctx, in, info, handler)
}

func _Utils_GetAllConfig_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(OpenIoTHubEmpty)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(UtilsServer).GetAllConfig(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/pb.Utils/GetAllConfig",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(UtilsServer).GetAllConfig(ctx, req.(*OpenIoTHubEmpty))
	}
	return interceptor(ctx, in, info, handler)
}

func _Utils_LoadAllConfig_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(OpenIoTHubStringValue)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(UtilsServer).LoadAllConfig(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/pb.Utils/LoadAllConfig",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(UtilsServer).LoadAllConfig(ctx, req.(*OpenIoTHubStringValue))
	}
	return interceptor(ctx, in, info, handler)
}

func _Utils_GetAllmDNSServiceList_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(OpenIoTHubEmpty)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(UtilsServer).GetAllmDNSServiceList(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/pb.Utils/GetAllmDNSServiceList",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(UtilsServer).GetAllmDNSServiceList(ctx, req.(*OpenIoTHubEmpty))
	}
	return interceptor(ctx, in, info, handler)
}

func _Utils_GetmDNSServiceListByType_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(OpenIoTHubStringValue)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(UtilsServer).GetmDNSServiceListByType(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/pb.Utils/GetmDNSServiceListByType",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(UtilsServer).GetmDNSServiceListByType(ctx, req.(*OpenIoTHubStringValue))
	}
	return interceptor(ctx, in, info, handler)
}

func _Utils_ConvertOctonaryUtf8_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(OpenIoTHubStringValue)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(UtilsServer).ConvertOctonaryUtf8(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/pb.Utils/ConvertOctonaryUtf8",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(UtilsServer).ConvertOctonaryUtf8(ctx, req.(*OpenIoTHubStringValue))
	}
	return interceptor(ctx, in, info, handler)
}

func _Utils_GetTokenModel_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(OpenIoTHubStringValue)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(UtilsServer).GetTokenModel(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/pb.Utils/GetTokenModel",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(UtilsServer).GetTokenModel(ctx, req.(*OpenIoTHubStringValue))
	}
	return interceptor(ctx, in, info, handler)
}

var _Utils_serviceDesc = grpc.ServiceDesc{
	ServiceName: "pb.Utils",
	HandlerType: (*UtilsServer)(nil),
	Methods: []grpc.MethodDesc{
		{
			MethodName: "SyncConfigWithToken",
			Handler:    _Utils_SyncConfigWithToken_Handler,
		},
		{
			MethodName: "GetAllConfig",
			Handler:    _Utils_GetAllConfig_Handler,
		},
		{
			MethodName: "LoadAllConfig",
			Handler:    _Utils_LoadAllConfig_Handler,
		},
		{
			MethodName: "GetAllmDNSServiceList",
			Handler:    _Utils_GetAllmDNSServiceList_Handler,
		},
		{
			MethodName: "GetmDNSServiceListByType",
			Handler:    _Utils_GetmDNSServiceListByType_Handler,
		},
		{
			MethodName: "ConvertOctonaryUtf8",
			Handler:    _Utils_ConvertOctonaryUtf8_Handler,
		},
		{
			MethodName: "GetTokenModel",
			Handler:    _Utils_GetTokenModel_Handler,
		},
	},
	Streams:  []grpc.StreamDesc{},
	Metadata: "service.proto",
}
